<?php defined('SYSPATH') or die('No direct script access.');

class DataHelper
{
    static public function LocalizeExamType($examType, $subtype = '') {
        switch ($subtype) {
            case 'disciplinary_coursework':
            case 'scientific_coursework':
                return 'Курсовая';
        }

        switch ($examType) {
            case 'exam' :
                return 'Экзамен';
            case 'credit' :
                return 'Зачет';
            case 'grading_credit' :
                return 'Дифф. зачет';
        }

        return '';
    }

    static public function DeserializeDisciplines($rawDiscs)
    {
        $subjID = $discID = $gradeID = $i = $j = 0; // Combo!!!
        $result = array();

        foreach ($rawDiscs as $row)
        {
            $curSubjectID = $row['SubjectID'];
            $curGradeID = $row['GradeID'];
            $curDiscID =  $row['ID'];

            if($subjID != $curSubjectID || $gradeID != $curGradeID)
            {
                $j = 0;
                ++$i;
                $subjID = $curSubjectID;
                $gradeID = $curGradeID;

                // new grade/subject
                $data = array();
                $data['Degree'] = $row['Degree'];
                $data['GradeNum'] = $row['GradeNum'];
                $data['SubjectName'] = $row['SubjectName'];
                $result[$i] = $data;
                $result[$i]['Disciplines'] = array();
                $discs = &$result[$i]['Disciplines'];
            }

            if($discID != $curDiscID)
            {
                $discID = $curDiscID;
                $discs[$j] = $row; // IsAuthor, IsLocked, IsMapCreated, ID, ExamType
                ++$j;
            }
        } //!for_each

        return $result;
    }














}